---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libsetfldw001.dylib'
relocations:
  - { offsetInCU: 0x6D9, offset: 0x6D9, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x51060, symBinAddr: 0x63F0, symSize: 0x0 }
  - { offsetInCU: 0x700, offset: 0x700, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52FA0, symBinAddr: 0x8330, symSize: 0x0 }
  - { offsetInCU: 0x722, offset: 0x722, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x53390, symBinAddr: 0x8720, symSize: 0x0 }
  - { offsetInCU: 0x744, offset: 0x744, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x54330, symBinAddr: 0x96C0, symSize: 0x0 }
  - { offsetInCU: 0x759, offset: 0x759, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x54340, symBinAddr: 0x96D0, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50B90, symBinAddr: 0x6170, symSize: 0x0 }
  - { offsetInCU: 0x7DF, offset: 0x7DF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x50B94, symBinAddr: 0x6174, symSize: 0x0 }
  - { offsetInCU: 0x7EA, offset: 0x7EA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50B98, symBinAddr: 0x6178, symSize: 0x0 }
  - { offsetInCU: 0x82F, offset: 0x82F, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x50CF0, symBinAddr: 0x6180, symSize: 0x0 }
  - { offsetInCU: 0x8A8, offset: 0x8A8, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50DA8, symBinAddr: 0x6238, symSize: 0x0 }
  - { offsetInCU: 0x8C6, offset: 0x8C6, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x50DAC, symBinAddr: 0x623C, symSize: 0x0 }
  - { offsetInCU: 0x8DF, offset: 0x8DF, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x50DB0, symBinAddr: 0x6240, symSize: 0x0 }
  - { offsetInCU: 0x8F8, offset: 0x8F8, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x50DB4, symBinAddr: 0x6244, symSize: 0x0 }
  - { offsetInCU: 0x911, offset: 0x911, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x50DB8, symBinAddr: 0x6248, symSize: 0x0 }
  - { offsetInCU: 0x8F00, offset: 0x8F00, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x50DC0, symBinAddr: 0x6250, symSize: 0x0 }
  - { offsetInCU: 0x8F89, offset: 0x8F89, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x50DD8, symBinAddr: 0x6268, symSize: 0x0 }
  - { offsetInCU: 0x8FA2, offset: 0x8FA2, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x50DE0, symBinAddr: 0x6270, symSize: 0x0 }
  - { offsetInCU: 0x8FBB, offset: 0x8FBB, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x50DE8, symBinAddr: 0x6278, symSize: 0x0 }
  - { offsetInCU: 0x8FD4, offset: 0x8FD4, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x50DF0, symBinAddr: 0x6280, symSize: 0x0 }
  - { offsetInCU: 0x8FEE, offset: 0x8FEE, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x50DF8, symBinAddr: 0x6288, symSize: 0x0 }
  - { offsetInCU: 0x90D4, offset: 0x90D4, size: 0x8, addend: 0x0, symName: __ZL6fields, symObjAddr: 0xDEF0, symBinAddr: 0x6080, symSize: 0x0 }
  - { offsetInCU: 0x9152, offset: 0x9152, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x50E3C, symBinAddr: 0x629C, symSize: 0x0 }
  - { offsetInCU: 0x9172, offset: 0x9172, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x50E40, symBinAddr: 0x62A0, symSize: 0x0 }
  - { offsetInCU: 0x918B, offset: 0x918B, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x50E48, symBinAddr: 0x62A8, symSize: 0x0 }
  - { offsetInCU: 0x91A4, offset: 0x91A4, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x50E58, symBinAddr: 0x62B8, symSize: 0x0 }
  - { offsetInCU: 0x91F6, offset: 0x91F6, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x1520, symSize: 0x80 }
  - { offsetInCU: 0x928B, offset: 0x928B, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x1470, symSize: 0xB0 }
  - { offsetInCU: 0x92E6, offset: 0x92E6, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x1370, symSize: 0x100 }
  - { offsetInCU: 0x9579, offset: 0x9579, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x15A0, symSize: 0x220 }
  - { offsetInCU: 0x975E, offset: 0x975E, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x17C0, symSize: 0xA0 }
  - { offsetInCU: 0x9811, offset: 0x9811, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1860, symSize: 0x110 }
  - { offsetInCU: 0x9907, offset: 0x9907, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1970, symSize: 0x150 }
  - { offsetInCU: 0x9A63, offset: 0x9A63, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1AC0, symSize: 0x30 }
  - { offsetInCU: 0x9B44, offset: 0x9B44, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x1AF0, symSize: 0x150 }
  - { offsetInCU: 0x9D3C, offset: 0x9D3C, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x1C40, symSize: 0x160 }
  - { offsetInCU: 0x9EC8, offset: 0x9EC8, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x1DA0, symSize: 0x1B0 }
  - { offsetInCU: 0xA0E3, offset: 0xA0E3, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x1F50, symSize: 0xA0 }
  - { offsetInCU: 0xA1B2, offset: 0xA1B2, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x1FF0, symSize: 0x20 }
  - { offsetInCU: 0xA1E9, offset: 0xA1E9, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x2010, symSize: 0x20 }
  - { offsetInCU: 0xA220, offset: 0xA220, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x2030, symSize: 0x20 }
  - { offsetInCU: 0xA38F, offset: 0xA38F, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x2050, symSize: 0x1A0 }
  - { offsetInCU: 0xA6B5, offset: 0xA6B5, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x21F0, symSize: 0x80 }
  - { offsetInCU: 0xA77E, offset: 0xA77E, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x2270, symSize: 0x6A0 }
  - { offsetInCU: 0xB313, offset: 0xB313, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA0F0, symBinAddr: 0x34F0, symSize: 0xB0 }
  - { offsetInCU: 0xB38A, offset: 0xB38A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x2910, symSize: 0x70 }
  - { offsetInCU: 0xB446, offset: 0xB446, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x2980, symSize: 0xA0 }
  - { offsetInCU: 0xB571, offset: 0xB571, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x2A20, symSize: 0x40 }
  - { offsetInCU: 0xB667, offset: 0xB667, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x2A60, symSize: 0x2B0 }
  - { offsetInCU: 0xBA0D, offset: 0xBA0D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x2D10, symSize: 0xC0 }
  - { offsetInCU: 0xBB53, offset: 0xBB53, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x2DD0, symSize: 0x10 }
  - { offsetInCU: 0xBC15, offset: 0xBC15, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x2DE0, symSize: 0x220 }
  - { offsetInCU: 0xBF12, offset: 0xBF12, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x3000, symSize: 0x10 }
  - { offsetInCU: 0xBF68, offset: 0xBF68, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x3010, symSize: 0x170 }
  - { offsetInCU: 0xC189, offset: 0xC189, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9D80, symBinAddr: 0x3180, symSize: 0x10 }
  - { offsetInCU: 0xC27B, offset: 0xC27B, size: 0x8, addend: 0x0, symName: _setWatch, symObjAddr: 0x9D90, symBinAddr: 0x3190, symSize: 0x120 }
  - { offsetInCU: 0xC4C3, offset: 0xC4C3, size: 0x8, addend: 0x0, symName: _FieldAccess, symObjAddr: 0x9EB0, symBinAddr: 0x32B0, symSize: 0x160 }
  - { offsetInCU: 0xC6D7, offset: 0xC6D7, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_SetFieldAccessWatch_setfldw001_setWatch, symObjAddr: 0xA010, symBinAddr: 0x3410, symSize: 0x10 }
  - { offsetInCU: 0xC75E, offset: 0xC75E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_SetFieldAccessWatch_setfldw001_touchfld0, symObjAddr: 0xA020, symBinAddr: 0x3420, symSize: 0x40 }
  - { offsetInCU: 0xC7FD, offset: 0xC7FD, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_SetFieldAccessWatch_setfldw001_check, symObjAddr: 0xA060, symBinAddr: 0x3460, symSize: 0x80 }
  - { offsetInCU: 0xC85E, offset: 0xC85E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_SetFieldAccessWatch_setfldw001_getRes, symObjAddr: 0xA0E0, symBinAddr: 0x34E0, symSize: 0x10 }
  - { offsetInCU: 0xC893, offset: 0xC893, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA1A0, symBinAddr: 0x35A0, symSize: 0x36A }
...
